///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
/*	Puzzle Challenge
 *
 *	author: Sofiadomme
 *	sofiadomme@web.de
 *
 *	version: V 1.0
 *	licence: CC by-NC, see http://creativecommons.org/licenses/by-nc/3.0/
 *
 *	Are you good at puzzling? You can prove it here.
 *	But watch out, it's about time here!
 *	(The puzzel is in a extern programm)
 *
 */
///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////


/*
 *	Resources
 *	images\Puzzle Challenge\aiden right.jpg
 *	images\Puzzle Challenge\aiden-starr-1.jpg
 *	images\Puzzle Challenge\aiden-starr-10.jpg
 *	images\Puzzle Challenge\aiden-starr-11.jpg
 *	images\Puzzle Challenge\aiden-starr-2.jpg
 *	images\Puzzle Challenge\aiden-starr-3.jpg
 *	images\Puzzle Challenge\aiden-starr-4.jpg
 *	images\Puzzle Challenge\aiden-starr-5.jpg
 *	images\Puzzle Challenge\aiden-starr-6.jpg
 *	images\Puzzle Challenge\aiden-starr-7.jpg
 *	images\Puzzle Challenge\aiden-starr-8.jpg
 *	images\Puzzle Challenge\aiden-starr9.jpg
 *	images\Puzzle Challenge\anallick1.jpg
 *	images\Puzzle Challenge\anallick2.jpg
 *	images\Puzzle Challenge\anallick3.jpg
 *	images\Puzzle Challenge\anallick4.jpg
 *	images\Puzzle Challenge\anallick5.jpg
 *	images\Puzzle Challenge\assfinger.jpg
 *	images\Puzzle Challenge\assfinger1.jpg
 *	images\Puzzle Challenge\assfinger2.jpg
 *	images\Puzzle Challenge\assfinger3.jpg
 *	images\Puzzle Challenge\ballga1.jpg
 *	images\Puzzle Challenge\ballga2.jpg
 *	images\Puzzle Challenge\balltied.jpg
 *	images\Puzzle Challenge\c1.jpg
 *	images\Puzzle Challenge\c2.jpg
 *	images\Puzzle Challenge\c3.jpg
 *	images\Puzzle Challenge\c4.jpg
 *	images\Puzzle Challenge\c5.jpg
 *	images\Puzzle Challenge\c6.jpg
 *	images\Puzzle Challenge\c7.jpg
 *	images\Puzzle Challenge\clock.jpg
 *	images\Puzzle Challenge\cock slap.jpg
 *	images\Puzzle Challenge\cumhair.jpg
 *	images\Puzzle Challenge\Dice.jpg
 *	images\Puzzle Challenge\exerc1.jpg
 *	images\Puzzle Challenge\exerc4.jpg
 *	images\Puzzle Challenge\exerc5.jpg
 *	images\Puzzle Challenge\feetlick1.jpg
 *	images\Puzzle Challenge\gra1.jpg
 *	images\Puzzle Challenge\gra2.jpg
 *	images\Puzzle Challenge\gra3.jpg
 *	images\Puzzle Challenge\granny.jpg
 *	images\Puzzle Challenge\hand1.jpg
 *	images\Puzzle Challenge\hand2.jpg
 *	images\Puzzle Challenge\hand3.jpg
 *	images\Puzzle Challenge\hand4.jpg
 *	images\Puzzle Challenge\hand5.jpg
 *	images\Puzzle Challenge\handshead1.jpg
 *	images\Puzzle Challenge\handshead2.jpg
 *	images\Puzzle Challenge\handshead3.jpg
 *	images\Puzzle Challenge\handshead4.jpg
 *	images\Puzzle Challenge\handshead5.jpg
 *	images\Puzzle Challenge\kendra1.jpg
 *	images\Puzzle Challenge\kendra10.jpg
 *	images\Puzzle Challenge\kendra11.jpg
 *	images\Puzzle Challenge\kendra12.jpg
 *	images\Puzzle Challenge\kendra13.jpg
 *	images\Puzzle Challenge\kendra14.jpg
 *	images\Puzzle Challenge\kendra15.jpg
 *	images\Puzzle Challenge\kendra16.jpg
 *	images\Puzzle Challenge\kendra17.jpg
 *	images\Puzzle Challenge\kendra18.jpg
 *	images\Puzzle Challenge\kendra19.jpg
 *	images\Puzzle Challenge\kendra2.jpg
 *	images\Puzzle Challenge\kendra20.jpg
 *	images\Puzzle Challenge\kendra21.jpg
 *	images\Puzzle Challenge\kendra22.jpg
 *	images\Puzzle Challenge\kendra3.jpg
 *	images\Puzzle Challenge\kendra4.jpg
 *	images\Puzzle Challenge\kendra5.jpg
 *	images\Puzzle Challenge\kendra6.jpg
 *	images\Puzzle Challenge\kendra7.jpg
 *	images\Puzzle Challenge\kendra8.jpg
 *	images\Puzzle Challenge\kendra9.jpg
 *	images\Puzzle Challenge\mi1.jpg
 *	images\Puzzle Challenge\mi2.jpg
 *	images\Puzzle Challenge\mi3.jpg
 *	images\Puzzle Challenge\mid1.jpg
 *	images\Puzzle Challenge\mid2.jpg
 *	images\Puzzle Challenge\mid3.jpg
 *	images\Puzzle Challenge\old1.jpg
 *	images\Puzzle Challenge\old2.jpg
 *	images\Puzzle Challenge\old3.jpg
 *	images\Puzzle Challenge\pee1.jpg
 *	images\Puzzle Challenge\pee2.jpg
 *	images\Puzzle Challenge\pee3.jpg
 *	images\Puzzle Challenge\pee4.jpg
 *	images\Puzzle Challenge\pee5.jpg
 *	images\Puzzle Challenge\rightanswer.jpg
 *	images\Puzzle Challenge\selfpiss1.jpg
 *	images\Puzzle Challenge\selfpiss2.jpg
 *	images\Puzzle Challenge\selfpiss3.JPG
 *	images\Puzzle Challenge\spitfacial.jpg
 *	images\Puzzle Challenge\spithand.jpg
 *	images\Puzzle Challenge\teen1.jpg
 *	images\Puzzle Challenge\teen2.jpg
 *	images\Puzzle Challenge\teen3.jpg
 *	images\Puzzle Challenge\Tutorial1.jpg
 *	images\Puzzle Challenge\Tutorial2.jpg
 *	images\Puzzle Challenge\Tutorial3.jpg
 *	images\Puzzle Challenge\workou1.jpg
 *	images\Puzzle Challenge\workou2.jpg
 *	images\Puzzle Challenge\workou3.jpg
 *	images\Puzzle Challenge\workou4.jpg
 *	images\Puzzle Challenge\workou5.jpg
 *	images\Puzzle Challenge\workout1.jpg
 *	images\Puzzle Challenge\wronganswer.jpg
 *	images\Puzzle Challenge\young1.jpg
 *	images\Puzzle Challenge\young2.jpg
 *	images\Puzzle Challenge\young3.jpg
 *	sounds\Puzzle Challenge\bell.wav
 *	sounds\Puzzle Challenge\bottle_100bpm-30.mp3
 *	sounds\Puzzle Challenge\bottle_220bpm-60.mp3
 *	sounds\Puzzle Challenge\bottle_60bpm-50.mp3
 *	sounds\Puzzle Challenge\Countdown.wav
 *	sounds\Puzzle Challenge\Dice rolling.wav
 *	files\Puzzle Challenge\1.exe
 *	files\Puzzle Challenge\2.exe
 *	files\Puzzle Challenge\3.exe
 *	files\Puzzle Challenge\4.exe
 *	files\Puzzle Challenge\5.exe
 *	files\Puzzle Challenge\test.exe
 *	scripts\Puzzle Challenge\Puzzle Challenge.groovy
 *	scripts\Puzzle Challenge\Puzzle Challenge_de.groovy
 *	
 */



/*
 *
 *	To fully enjoy this script you're going to need the following items:
 *		Buttplug, Glass, Mouthgag, Blindfold
 *
 */

// Set script's general info
setInfos(3, "Puzzle Herausforderung", "Kannst du gut Puzzle lösen? Du kannst es hier beweisen. Aber aufgepasst, es ist Zeitlich begrenzt! (Das Puzzle befindet sich in einem externen Programm)", "Sofiadomme, Devotes.Julchen", "v 1.1", -3355444, "de", ["anal", "game", "hair", "humiliation", "pain", "sperm", "toys", "urine", "fitness"]);


// Gender Dependent Values

def gender_value_default_gender = "male";
if(loadBoolean("intro.female")) gender_value_default_gender = "female";


// Functions declarations

def introo = {
	introo ->

	setImage("Puzzle Challenge/aiden-starr-1.jpg");
	if (getBoolean("Bevor wir beginnen, möchtest du den Sound und das Puzzle-Programm testen?", "Ich möchte den Sound und das Puzzle-Programm testen.", "Nein, ich möchte jetzt spielen.")) {
		if (getBoolean("Was möchtest du testen?", "Der Sound", "Das Puzzle-Programm")) {
			show("Hörst du diesen Ton? (warte darauf)");
			waitWithGauge(3);
			playSound("Puzzle Challenge/bell.wav");
			if (getBoolean("Hast du es gehört?", "Ja", "Nein")) {
				show("Das ist gut :)");
				waitWithGauge(3);
				introo(introo)
			}
			else {
				show("Überprüfe deine Soundeinstellungen und deine Lautsprecher.");
				waitWithGauge(7);
				introo(introo)
			}
		}
		else {
			show("Mal sehen, ob das Programm geöffnet wird. (warte ein wenig)");
			waitWithGauge(6);
			useFile("files/Puzzle Challenge/test.exe");
			waitWithGauge(5);
			if (getBoolean("Hat sich das Programm geöffnet?", "Ja", "Nein")) {
				show("Du kannst ein wenig trainieren, wenn du möchtest.");
				showButton("Ich bin fertig");
				introo(introo)
			}
			else {
				show("Möglicherweise ist deine Firewall aktiviert oder du benötigst Administratorrechte...");
				waitWithGauge(10);
				introo(introo)
			}
		}
	}
}

def right1 = {
	right1 ->

	def color1 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
	if(color1==0) {
	setImage("Puzzle Challenge/rightanswer.jpg")
	show("1 das ist Richtig, Gut gemacht :)")
	waitWithGauge(5)
	}
	if(color1==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 war falsch")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 war falsch")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 war falsch")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 war falsch")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 war falsch")
	waitWithGauge(5)
	pun(pun)
	}
}

def right2 = {
	right2 ->

	def color2 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
	if(color2==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==1) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("2 das ist Richtig, Gut gemacht :)")
		waitWithGauge(5)
	}
	if(color2==2) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("3 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==3) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("4 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==4) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("5 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
}

def right3 = {
	right3 ->

	def color3 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
	if(color3==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==1) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("2 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==2) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("3 das ist Richtig, Gut gemacht :)")
		waitWithGauge(5)
	}
	if(color3==3) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("4 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==4) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("5 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
}

def right4 = {
	right4 ->

	def color4 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
	if(color4==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==1) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("2 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==2) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("3 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==3) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("4 das ist Richtig, Gut gemacht :)")
		waitWithGauge(5)
	}
	if(color4==4) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("5 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
}

def right5 = {
	right5 ->

	def color5 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
	if(color5==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==1) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("2 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==2) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("3 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==3) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("4 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==4) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("5 das ist Richtig, Gut gemacht :)")
		waitWithGauge(5)
	}
	if(color5==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 war falsch")
		waitWithGauge(5)
		pun(pun)
	}
}

def str = {
	str ->

	setImage("Puzzle Challenge/aiden right.jpg")
	show("Ich habe eine schöne Aufgabe für dich, weil du ein guter Junge bist :)")
	waitWithGauge(8)
	show("Lass mich meine Würfel für dich rollen.")
	setImage("Puzzle Challenge/Dice.jpg")
	playSound("Puzzle Challenge/Dice rolling.wav")
	waitWithGauge(2)
	switch(getRandom(5)){
	case 0:
	setImage("Puzzle Challenge/aiden-starr-7.jpg")
	show("Wichs deinen Schwanz für mich bis zum Rand (edge) :)") 
	showButton("Ich bin am Rand (edge).")
	show("HÄNDE WEG! Du bist so ein schöner Wichser :)") 
	waitWithGauge(5)
	break
	case 1:
	setImage("Puzzle Challenge/aiden-starr-10.jpg")
	show("Spucke auf deinen Schwanz und wichs im Takt für mich.")
	playSound("Puzzle Challenge/bottle_60bpm-50.mp3")
	show("Ein bisschen schneller bitte, aber nicht abspritzen!")
	playSound("Puzzle Challenge/bottle_100bpm-30.mp3")
	show("Vielen Dank :)")
	waitWithGauge(10)
	break
	case 2:
	setImage("Puzzle Challenge/aiden-starr-11.jpg")
	show("Wichs für mich, für meine perfekten Titten. Aber noch nicht abspritzen...")
	waitWithGauge(60)
	break
	case 3:
	setImage("Puzzle Challenge/aiden-starr-8.jpg")
	show("Bring dich bis zum Rand (edge) für mich, bitteeee...")
	showButton("Ich bin am Rand (edge)")
	show("Halte ihn für mich... oh jaaaaaaa")
	waitWithGauge(5) 
	show("HÄNDE WEG! Du bist so ein schöner Wichser :)") 
	waitWithGauge(8)
	break
	case 4:
	setImage("Puzzle Challenge/aiden-starr-4.jpg")
	show("Bitte wichs im Takt für mich... Aber nicht abspritzen!... mach dich bereit")
	waitWithGauge(5)
	playSound("Puzzle Challenge/bottle_220bpm-60.mp3")
	show("Ich danke dir sehr :)") 
	waitWithGauge(10)
	break
	}
}

def keytime60 = {
	keytime60 ->

	if (showButton("Ich habe den Schlüssel", 60) >= 60) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Verfickter Sklave!\nEs war dein erstes Puzzle, wie kannst du es nicht rechtzeitig lösen?\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!");
		showButton("Ich habe das Puzzle gelöst");
		pun(pun);
	}
}

def keytime140 = {
	keytime140 ->

	if (showButton("Ich habe den Schlüssel", 140) >= 140) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
		showButton("Ich habe das Puzzle gelöst");
		pun(pun);
	}
}

def keytime160 = {
	keytime160 ->

	if (showButton("Ich habe den Schlüssel", 160) >= 160) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
		showButton("Ich habe das Puzzle gelöst");
		pun(pun);
	}
}

def keytime600 = {
	keytime600 ->

	if (showButton("Ich habe den Schlüssel", 600) >= 600) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
		showButton("Ich habe das Puzzle gelöst");
		pun(pun);
	}
}

def pun = {
	pun ->

	setImage("Puzzle Challenge/Dice.jpg")
	show("Du verdienst eine Strafe!!! Lass mich meine Bestrafungswürfel würfeln...")
	waitWithGauge(5)
	playSound("Puzzle Challenge/Dice rolling.wav")
	waitWithGauge(2)
	switch(getRandom(11)) {
	case 0:
	setImage("Puzzle Challenge/cock slap.jpg")
	show("Schlag deinen Schwanz 10 Mal HART.")
	showButton("Es tut weh")
	break
	case 1:
	setImage("Puzzle Challenge/spithand.jpg")
	show("Spucke 1 Minute lang in deine Hand.")
	waitWithGauge(60)
	setImage("Puzzle Challenge/spitfacial.jpg")
	show("Gib dir selbst ein Spucke Gesicht!!! Schlag beide Wangen 1 mal HART!!!")
	waitWithGauge(12)
	break
	case 2:
	setImage("Puzzle Challenge/spithand.jpg")
	show("Spucke 1 Minute lang in deine Hand.")
	waitWithGauge(60)
	setImage("Puzzle Challenge/cumhair.jpg")
	show("Reibe dir die ganze Spucke in deine verfickten Haare!")
	waitWithGauge(20)
	break
	case 3:
	setImage("Puzzle Challenge/assfinger.jpg")
	show("Lutsch deinen Mittelfinger für 1 Minute.")
	waitWithGauge(60)
	setImage("Puzzle Challenge/assfinger1.jpg")
	show("Reibe ihn an deinem Arschloch, aber geh nicht rein!")
	waitWithGauge(60)
	setImage("Puzzle Challenge/assfinger2.jpg")
	show("Leck es sauber")
	waitWithGauge(20)
	setImage("Puzzle Challenge/assfinger3.jpg")
	show("Steck den Finger in deinen Arsch, genau wie ein Buttplug!")
	waitWithGauge(40)
	show("Reibe ihn jetzt unter deine Nase!")
	setImage("Puzzle Challenge/assfinger2.jpg")
	waitWithGauge(20)
	break
	case 4:
	setImage("Puzzle Challenge/assfinger2.jpg")
	show("Lutsch 2 Finger für 1 Minute.")
	waitWithGauge(60)
	setImage("Puzzle Challenge/assfinger3.jpg")
	show("Steck die Finger in deinen dreckigen Arsch! Und bewege sie ein bisschen in deinen Arsch.")
	waitWithGauge(90)
	setImage("Puzzle Challenge/assfinger.jpg")
	show("Mach jetzt die Finger wieder sauber! Natürlich mit dem Mund...")
	waitWithGauge(60)
	break
	case 5:
	setImage("Puzzle Challenge/pee1.jpg")
	show("Hey, bring mir ein Glas, du wirst es brauchen.")
	showButton("Ich habe das Glas")
	setImage("Puzzle Challenge/pee2.jpg")
	show("Piss ein bisschen ins Glas... trink etwas Wasser, wenn du gerade nicht pissen kannst.")
	showButton("Ich bin fertig")
	setImage("Puzzle Challenge/pee3.jpg")
	show("Nimm einen Schluck von der Pisse, aber trink sie noch nicht. Du hast es verdient!")
	waitWithGauge(30)
	setImage("Puzzle Challenge/pee4.jpg")
	show("Lass es über dein Kinn fließen! sieh dir diese Sauerei an...")
	waitWithGauge(40)
	show("Du kannst jetzt den Rest der Pisse aus dem Glas trinken\n ODER \nDu kanst es über dich halten und es auf deine Haar gießen")
	setImage("Puzzle Challenge/pee5.jpg")
	showButton("Ich bin fertig")
	break
	case 6:
	setImage("Puzzle Challenge/workou1.jpg")
	show(" Ich werde dich bei meinem Training zum Schwitzen bringen. Aber bevor wir starten, steckst du dir deinen Analplug in deinen Arsch!")
	showButton("Ich bin bereit")
	setImage("Puzzle Challenge/workou2.jpg")
	show("Imitiere meine Trainingsübungen. Wenn der Analplug herausfällt, steck ihn wieder rein!")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou3.jpg")
	show("Es wird härter...")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou4.jpg")
	show("Gefällt dir diese Position?")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou5.jpg")
	show("Dies ist die letzte Position.")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou1.jpg")
	show("Wenn der Analplug irgendwie herausfällt, musst du ihn in deinen Mund stecken. Leck ihn sauber, ich will keinen schmutzigen Analplug sehen!")
	waitWithGauge(30)
	break
	case 7:
	setImage("Puzzle Challenge/anallick1.jpg")
	show("Hey, ich möchte ein bisschen mit deinem Arsch spielen.")
	waitWithGauge(10)
	setImage("Puzzle Challenge/anallick2.jpg")
	show("Stecke jeden deiner 5 Finger einzeln so tief wie möglich in den Arsch, du kannst Spucke als Gleitmittel verwenden. Mach es nur mit deiner rechten Hand.")
	showButton("Ich bin fertig")
	setImage("Puzzle Challenge/anallick3.jpg")
	show("Mach es nochmal! Ich möchte sie tiefer in deinem Arsch sehen!")
	showButton("Ich bin fertig")
	setImage("Puzzle Challenge/anallick4.jpg")
	show("Leck jeden Finger einzeln, genieße es.")
	waitWithGauge(40)
	setImage("Puzzle Challenge/anallick5.jpg")
	show("Ich danke dir sehr. Ich kann nicht glauben, dass du das getan hast...")
	waitWithGauge(10)
	break
	case 8:
	setImage("Puzzle Challenge/ballga1.jpg")
	show("Hey, heute ist nicht dein Glückstag... bring mir deinen Ballknebel.")
	showButton("Ich habe ihn")
	setImage("Puzzle Challenge/ballga2.jpg")
	show("Leg ihn an! Leg ihn nicht ab bevor du dieses Spiel nicht beendet hast! Lass die Spucke einfach runter fließen...")
	showButton("Ich tue es")
	break
	case 9:
	setImage("Puzzle Challenge/selfpiss2.jpg")
	show("Hey, du siehst durstig aus.")
	waitWithGauge(10)
	setImage("Puzzle Challenge/selfpiss3.jpg")
	show("Trink ein Glas Wasser, beeil dich!")
	showButton("Ich hab es gemacht")
	setImage("Puzzle Challenge/selfpiss1.jpg")
	show("Nim die gleiche Position ein und lasse einfach 1 Tropfen Pisse raus! Fass deinen Schwanz nicht an!")
	showButton("Ich hab es gemacht")
	break
	case 10:
	setImage("Puzzle Challenge/exerc1.jpg")
	show("Hey, ich möchte dein Gleichgewicht testen.")
	waitWithGauge(5)
	setImage("Puzzle Challenge/exerc4.jpg")
	show("Nim die gleiche Position ein wie auf dem Foto und stehen auf einem Bein. Solange bis du eine Glocke hörst. Klingt einfach oder?")
	waitWithGauge(15)
	show("Wenn du mit deinem anderen Bein auf den Boden kommen, hast du verloren!\nOh... Ich habe vergessen zu sagen, dass du eine Augenbinde tragen wirst!")
	showButton("Ich bin bereit")
	show("Setze die Augenbinde auf, wenn der Countdown bei 0 ist. \n Wenn du ein Geräusch hörst, endet das Spiel.")
	waitWithGauge(10)
	playSound("Puzzle Challenge/Countdown.wav")
	setImage("Puzzle Challenge/clock.jpg")
	wait(60)
	playSound("Puzzle Challenge/bell.wav")
	setImage("Puzzle Challenge/exerc4.jpg")
	if (getBoolean("Hast du mit deinem zweiten Bein den Boden berührt?", "Ja", "Nein")) {
	setImage("Puzzle Challenge/feetlick1.jpg")
	show("Dein Fuß ist wahrscheinlich ein wenig schmutzig, nachdem du den Boden berührt hast, lecke ihn sauber! Und mach den ganzen Fuß nass!")
	waitWithGauge(40)
	}
	else {
	setImage("Puzzle Challenge/exerc5.jpg")
	show("Du hast eine sehr gute Balance, gebe deinem Fuß einen großen Kuss!")
	showButton("Vielen Dank")
	}
	break
	}
}

def keytime1000 = {
	keytime1000 ->

	if (showButton("Ich habe den Schlüssel", 1000) >= 1000) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
		showButton("Ich habe das Puzzle gelöst");
		pun(pun);
	}
}

def dic = {
	dic ->

	show(" ");
	setImage("Puzzle Challenge/Dice.jpg");
	playSound("Puzzle Challenge/Dice rolling.wav");
}

def midg = {
	midg ->

		show("Oh du hast die falsche Zahl gewürfelt...\nMach deinen Schwanz hart und wichs ihn für:");
		waitWithGauge(7);
		setImage("Puzzle Challenge/mid1.jpg");
		show("Wichs deinen Schwanz schnell für mich!");
		waitWithGauge(30);
		setImage("Puzzle Challenge/mid2.jpg");
		show("Bring dich bis zum Rand (Edge) für mich!!! Bitteeeeeee");
		showButton("Ich bin am Rand (Edge)");
		setImage("Puzzle Challenge/mid3.jpg");
		show("SPRITZ AB!!!");
		waitWithGauge(30);
		show("Oh danke :)\nDas war ein heißer Cumshot...");
		showButton("Vielen Dank");
		setImage(null);
		show("");
		return null;
}



setImage(null);
show("");


/*** Beginning of the Script ***/


setImage("Puzzle Challenge/aiden-starr-1.jpg");

introo(introo);

setImage("Puzzle Challenge/aiden-starr-2.jpg");

if (getBoolean("Kennst du die Spielregeln? ", "Ja", "Nein")) {
	show("Dies ist wahrscheinlich nicht Ihr erstes Mal... viel Glück");
	waitWithGauge(5);
}
else {
	setImage("Puzzle Challenge/Tutorial1.jpg");
	show("Du musst ein Puzzle lösen, du hast aber nicht unbegrenzte Zeit!!!\nDu erhältst einen Schlüssel, um das Spiel fortzusetzen, nachdem du das Puzzle gelöst hast!!!\n");
	showButton("fortsetzen");
	setImage("Puzzle Challenge/Tutorial2.jpg");
	show("Du hörst vor jedem Puzzle einen Countdown. Du kannst beginnen, wenn der Countdown endet.\nEin Klingelton bedeutet, dass die Zeit abgelaufen ist. Du musst das Puzzle dennoch lösen und dich dann auf die Bestrafung vorbereiten....");
	showButton("fortsetzen");
	setImage("Puzzle Challenge/Tutorial3.jpg");
	show("Die Puzzle werden immer schwieriger zu lösen sein.\nUnd die wichtigste Regel:\nNICHT WICHSEN, KANTEN (EDGE), SPRITZEN BIS ICH ES DIR ERLAUBT HABE!!!");
	showButton("Ich bin bereit zu beginnen.");
}

show("Beginnen wir unser erstes Puzzle, wir werden einfach anfangen.\nIch gebe dir einen Countdown, bevor du anfangen kannst.");

setImage("Puzzle Challenge/aiden-starr-5.jpg");

waitWithGauge(7);

useFile("files/Puzzle Challenge/1.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

show("Sag mir, wann du das Puzzle gelöst hast.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("Ich habe den Schlüssel", 50) >= 50) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Verfickter Sklave!\nEs war dein erstes Puzzle, wie kannst du es nicht rechtzeitig lösen?\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!");
	showButton("Ich habe das Puzzle gelöst");
	pun(pun);
}

def color1 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
if(color1==0) {
setImage("Puzzle Challenge/rightanswer.jpg")
show("1 war richtig, gute Arbeit :)")
waitWithGauge(5)
}
if(color1==1) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("2 war falsch")
waitWithGauge(5)
pun(pun)
}
if(color1==2) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("3 war falsch")
waitWithGauge(5)
pun(pun)
}
if(color1==3) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("4 war falsch")
waitWithGauge(5)
pun(pun)
}
if(color1==4) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("5 war falsch")
waitWithGauge(5)
pun(pun)
}
if(color1==5) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("6 war falsch")
waitWithGauge(5)
pun(pun)
}

setImage("Puzzle Challenge/aiden-starr-8.jpg");

show("Das erste Puzzle war einfach, jetzt wird es schwieriger... Ich hoffe du hast eine schnelle Hand.");

waitWithGauge(8);

show("Warte auf den Countdown, bevor du beginnst");

waitWithGauge(5);

useFile("files/Puzzle Challenge/2.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

show("Sag mir, wenn du fertig bist.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("Ich habe den Schlüssel", 120) >= 120) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
	showButton("Ich habe das Puzzle gelöst");
	pun(pun);
}

def color4 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
if(color4==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color4==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color4==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color4==3) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("4 war richtig, gute Arbeit :)")
	waitWithGauge(5)
}
if(color4==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color4==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 war falsch")
	waitWithGauge(5)
	pun(pun)
}

if (getBoolean("Willst du eine Chance haben zu spritzen? Aber du musst etwas für mich tun...", "Ich möchte die Chance haben zu spritzen", "Nein noch nicht")) {

	setImage("Puzzle Challenge/workout1.jpg");

	show("Du brauchst ein wenig Training.\nWenn du die Glocke hörst, gehst du in die Position.\nStoppe nur, wenn du die Glocke wieder hörst.\nWenn du es nicht bestehst, musst du es mir sagen.");
	showButton("Ich bin bereit");

	show("(Wir starten in ca. 30 Sekunden, du wirst eine Glocke hören)\nDie Beine sind offen über der Taille, die Arme sind gestützt, die Ellbogen sind unter den Schultern.\nDen Bauch fest anziehen. Stelle sicher, dass der Körper gerade bleibt und der Hintern nicht verrutscht.\n");

	waitWithGauge(20);

	show("Halte es!");

	playSound("Puzzle Challenge/bell.wav");

	wait(150);

	playSound("Puzzle Challenge/bell.wav");

	playSound("Puzzle Challenge/bell.wav");

	if (getBoolean("Konntest du die Position halten?", "Ja, konnte ich", "Nein, ich habe versagt")) {

		setImage("Puzzle Challenge/aiden-starr-8.jpg");

		show("Du hast es geschafft... mach dich bereit für deine Chance abzuspritzen.");
		wait(10);

			setImage("Puzzle Challenge/hand1.jpg")
			show("Lass uns ein kleines Stop-Go-Spiel spielen, das ist mein Lieblingsspiel :) Wenn ich go sage: Wichst du so schnell du kannst / wenn ich stop sage: legst du deine Hände SOFORT auf deinen Kopf") 
			showButton("Ich kann es kaum erwarten")
			show("Aber gib mir zuerst eine Rand (Edge) für mein süßes Gesicht, aber noch nicht Spritzen!") 
			showButton("Ich bin am Rand (Edge).") 
			setImage("Puzzle Challenge/handshead1.jpg")
			show("STOPP! Also Hände auf den Kopf")
			wait(18)
			setImage("Puzzle Challenge/hand2.jpg")
			show("GO! Bitte komm für mich")
			wait(6)
			setImage("Puzzle Challenge/handshead2.jpg")
			show("STOPP! HÄNDE AUF DEINEN KOPF! Bist du schon nah")
			wait(13)
			setImage("Puzzle Challenge/hand3.jpg")
			show("GO! Gib mir dein heißes Sperma")
			wait(5)
			setImage("Puzzle Challenge/handshead3.jpg")
			show("STOP! Spucke auf deinen Schwanz, du dreckige Schlampe")
			wait(15)	
			setImage("Puzzle Challenge/hand4.jpg")
			show("GO! Ich brauche dein Sperma!")
			wait(2)
			setImage("Puzzle Challenge/handshead4.jpg")
			show("STOP! ohh... das war kurz... haha")
			wait(13)
			setImage("Puzzle Challenge/hand5.jpg")
			show("GO! Gib mir dein heißes Sperma")
			wait(7)
			setImage("Puzzle Challenge/handshead5.jpg")
			show("HANDS UP! Das war deine letzte Chance :D")
			wait(5)

		if (getBoolean("Bist du gekommen", "Ja", "Nein")) {

			show("hehe... ist er ruiniert? Es tut mir soooo leid. Du kannst es erneut versuchen und eine echten bekommen :D");
			wait(10);

			// End Script
			setImage(null);
			show("");
			return null;

		}

		else {

			show("Schön, damit wir weitermachen können :)");
			wait(10);

		}

	}

	else {

		setImage("Puzzle Challenge/aiden-starr-11.jpg");

		show("Okay, es ist nicht so schlimm, du bekommst einfach keine Chance abzuspritzen...");
		wait(10);

		show("Glaubst du wirklich, ich lasse dich damit durchkommen?");
		wait(10);

		pun(pun);

	}

}

else {

	setImage("Puzzle Challenge/aiden-starr-11.jpg");

	show("Du willst nicht abspritzen? ohh... dann musst du für die Bestrafungsaufgaben hier sein...");

	waitWithGauge(10);

	pun(pun);

}

setImage("Puzzle Challenge/aiden-starr-8.jpg");

show("Mach dich bereit für das nächste Puzzle.");
wait(10);

show("Warte auf den Countdown, bevor du beginnst.");
wait(10);

useFile("files/Puzzle Challenge/3.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("Ich habe den Schlüssel", 175) >= 175) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
	showButton("Ich habe das Puzzle gelöst");
	pun(pun);
}

def color30 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
if(color30==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color30==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color30==2) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("3 war richtig, gute Arbeit :)")
	waitWithGauge(5)
}
if(color30==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color30==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color30==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 war falsch")
	waitWithGauge(5)
	pun(pun)
}

setImage("Puzzle Challenge/aiden-starr9.jpg");

show("Lass uns etwas Spaß haben");
wait(5);

str(str);

show("Das nächste Puzzle ist viel schwieriger zu lösen, viel Glück.");
wait(7);

useFile("files/Puzzle Challenge/4.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

show("Sag mir, wenn du fertig bist.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("Ich habe den Schlüssel", 580) >= 580) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
	showButton("Ich habe das Puzzle gelöst");
	pun(pun);
}

def color2 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
if(color2==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color2==1) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("2 war richtig, gute Arbeit :)")
	waitWithGauge(5)
}
if(color2==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color2==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color2==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color2==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 war falsch")
	waitWithGauge(5)
	pun(pun)
}

show("Ich lasse dich ein bisschen wichsen...");

waitWithGauge(5);

str(str);

show("Lass uns unser letztes Puzzle machen, du hast die Chance danach zu kommen.");

waitWithGauge(5);

if (getBoolean("Möchtest du dich wichsen, während du das letzte Puzzle löst?", "Ja", "Nein")) {

	show("Steck deinen größten Analplug in deinen Arsch! Und lass ihn für den Rest des Spiels drin.\nViel Spaß beim Wichsen... und nicht abspritzen!");

	showButton("Ich bin bereit");

}

else {

	show("Du wichst nicht gern? Schlag deinen Schwanz 5 mal HART!");

	waitWithGauge(15);

	show("Und jetzt schlage deine Eier 5 Mal!");

	waitWithGauge(15);

}

setImage("Puzzle Challenge/aiden-starr-3.jpg");

show("Wart auf den Countdown, bevor du mit dem Puzzle beginnst.");

waitWithGauge(5);

useFile("files/Puzzle Challenge/5.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/bell.wav");

show("Sag mir, wenn du fertig bist.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("Ich habe den Schlüssel", 1000) >= 1000) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Verfickter Sklave!\nMach das Spiel dennoch zuende und merke dir den Schlüssel, oder du bekommst später eine weitere Strafe!\nMach dich bereit für die Bestrafung!!");
	showButton("Ich habe das Puzzle gelöst");
	pun(pun);
}

def color5 = getSelectedValue("Sag mir die Schlüsselnummer", ["1", "2", "3", "4", "5", "6"])
if(color5==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color5==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color5==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color5==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 war falsch")
	waitWithGauge(5)
	pun(pun)
}
if(color5==4) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("5 war richtig, gute Arbeit :)")
	waitWithGauge(5)
}
if(color5==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 war falsch")
	waitWithGauge(5)
	pun(pun)
}

setImage("Puzzle Challenge/aiden-starr9.jpg");

show("Hey, nim deinen Analplug raus, wenn du einen hast.\nUnd immer noch Hände weg von deinem Schwanz...");
wait(10);

if (getBoolean("Willst du jetzt schon eine Chance haben zu spritzen? Aber wenn du weiter spielst, hast du eine bessere Chance abzuspritzen... Denk gut darüber nach.", "Ich werde jetzt versuchen abzuspritzen", "Ich möchte eine bessere Chance haben zum abzuspritzen")) {

		setImage("Puzzle Challenge/Kendra1.jpg")
		show("Hey, ich möchte dich kommen lassen... Aber es gibt einen Haken... Kein Problem, lass uns anfangen :)")
		wait(13)
		setImage("Puzzle Challenge/Kendra2.jpg")
		show("Rand (edge) für mich, schnell!")
		showButton("Ich bin am Rand (edge).")
		setImage("Puzzle Challenge/Kendra3.jpg")
		show("HÄNDE WEG! Ich will nicht, dass du abspritzt")
		wait(13)
		show("Binde deine Eier wie auf dem Bild von deinem Körper weg! mach es eng")
		setImage("Puzzle Challenge/balltied.jpg")
		showButton("Ich hab es gemacht")
		setImage("Puzzle Challenge/Kendra4.jpg")
		show("Wichs dich mit hoher Geschwindigkeit für mich, aber noch NICHT abspritzen oder Rand (edge)...")
		waitWithGauge(30)
		setImage("Puzzle Challenge/Kendra5.jpg")
		show("Bitteeee gib mir einen Rand (edge)... bitteeee")
		showButton("Ich bin am Rand (edge)")
		setImage("Puzzle Challenge/Kendra6.jpg")
		show("halte es!!")
		wait(5)
		setImage("Puzzle Challenge/Kendra7.jpg")
		show("HÄNDE WEG! kommst du näher? Haha")
		waitWithGauge(10)
		setImage("Puzzle Challenge/Kendra8.jpg")
		show("Ich gebe dir einen Countdown, du wirst genau bei Null abspritzen! nicht 1 Sekunde vorher oder nachher... verstanden?")
		showButton("Ich mache alles für dich Herrin")
		setImage("Puzzle Challenge/Kendra9.jpg")
		show("fang wieder an für mich zu Wichsen...")
		waitWithGauge(10)
		show("10")
		setImage("Puzzle Challenge/Kendra10.jpg")
		wait(10)
		setImage("Puzzle Challenge/Kendra11.jpg")
		show("9")
		wait(9)
		setImage("Puzzle Challenge/Kendra12.jpg")
		show("8")
		wait(8)
		setImage("Puzzle Challenge/Kendra13.jpg")
		show("7")
		wait(7)
		setImage("Puzzle Challenge/Kendra14.jpg")
		show("6")
		wait(6)
		setImage("Puzzle Challenge/Kendra15.jpg")
		show("5")
		wait(5)
		setImage("Puzzle Challenge/Kendra16.jpg")
		show("4")
		wait(4)
		setImage("Puzzle Challenge/Kendra17.jpg")
		show("3")
		wait(3)
		setImage("Puzzle Challenge/Kendra18.jpg")
		show("2")
		wait(2)
		setImage("Puzzle Challenge/Kendra19.jpg")
		show("1")
		wait(1)
		show("0 Komm, wenn du willst")
		setImage("Puzzle Challenge/granny.jpg")
		wait(5)
		show("Magst du meine haarige Muschi?")
		waitWithGauge(15)
		setImage("Puzzle Challenge/Kendra21.jpg")

	if (getBoolean("Bist du gekommen", "Ja ", "Nein")) {

		setImage("Puzzle Challenge/aiden-starr-5.jpg");

		show("Oh, tut mir leid... du hattest die Wahl für eine bessere Chance zu kommen...");

		waitWithGauge(10);

		show("Ich hoffe ich sehe dich wieder.\nViel Glück fürs nächste Mal");
		showButton("Tschüss");

		// End Script
		setImage(null);
		show("");
		return null;

	}

	else {

		setImage("Puzzle Challenge/aiden-starr-6.jpg");

		if (getBoolean("Ich gebe dir eine zusätzliche Chance abzuspritzen... aber du musst zuerst etwas für mich tun.", "Ich nutze die zusätzliche Chance", "Nein, ich will nicht, lass mich einfach gehen")) {

			show("Okay, ich gebe dir eine letzte Chance zu kommen.\nAber zuerst lass mich meine Bestrafungswürfel rollen, hehe");

			waitWithGauge(10);

			pun(pun);

			setImage("Puzzle Challenge/aiden-starr-3.jpg");

			show("Willkommen zurück\nMach deinen Schwanz bereit, mach ihn schön hart!");
			showButton("Ich bin fertig");

			show("Ich gebe dir eine schöne Diashow, die du jederzeit abspritzen kannst.\nAber beeil dich... du willst nicht zu lange warten, vertrau mir.");

			waitWithGauge(15);

			setImage("Puzzle Challenge/c1.jpg");

			show("Komm für mich!!!");
			wait(3);

			setImage("Puzzle Challenge/c2.jpg");

			show("Ich brauche dein Sperma!!!");
			wait(2);

			setImage("Puzzle Challenge/c3.jpg");

			show("Pump weiter für mich!!!");
			wait(4);

			setImage("Puzzle Challenge/c4.jpg");

			show("Komm schon! Schneller!!!");
			wait(4);

			setImage("Puzzle Challenge/c5.jpg");

			show("Spritze dein Sperma!!!");
			wait(9);

			setImage("Puzzle Challenge/c6.jpg");

			show("Das sexy Lächeln...\nDiese massiven Titten...\nWICHS FÜR MICH!!!");
			wait(7);

			setImage("Puzzle Challenge/c7.jpg");

			show("BITTE spritz für mich!!!");
			wait(10);

			show("HÄNDE WEG!");

			setImage("Puzzle Challenge/aiden-starr-11.jpg");

			if (getBoolean("Bist du gekommen", "Ja", "Nein")) {

				show("Ich hoffe du bist nicht bei den letzten Frauen gekommen...\nHattest Du Spaß?\nDu kannst das Spiel später wieder spielen, wenn du möchtest :)");
				showButton("Danke Tschüss");

				// End Script
				setImage(null);
				show("");
				return null;

			}

			else {

				show("Du hattest so viele Chancen...\nVersuch das Spiel einfach noch einmal.");
				showButton("Es tut mir Leid");

				// End Script
				setImage(null);
				show("");
				return null;

			}

		}

		else {

			show("Okay, wenn du willst... geh jetzt!\nVerfickter Sklave");
			showButton("Bye");

			// End Script
			setImage(null);
			show("");
			return null;

		}

	}

}

else {

	setImage("Puzzle Challenge/aiden-starr-4.jpg");

	show("Du bist ein guter Junge :)\nmach dich bereit");

	waitWithGauge(10);

}

setImage("Puzzle Challenge/aiden-starr-3.jpg");

show("Lass uns ein kleines Würfelspiel spielen...\nDu fängst mit einer Oma an, du kannst zu ihr kommen oder du kannst die Würfel für eine bessere Frau würfeln.\nAm Ende kannst du mit etwas Glück zu einer sexy 18-jährigen Schlampe kommen.\nABER wenn du eine falsche Nummer würfelst, musst du zu etwas kommen, das schlimmer ist als eine Oma...");
showButton("Ich bin fertig");

setImage("Puzzle Challenge/gra1.jpg");

if (getBoolean("Hey willst du für mich abspritzen?", "Ja", "Nein, lass mich würfeln")) {

	setImage("Puzzle Challenge/gra2.jpg");

	show("Rand (Edge) für mich!!!");
	showButton("Ich bin am Rand (Edge)");

	setImage("Puzzle Challenge/gra3.jpg");

	show("Spritz ab!!! Das war gut...");
	showButton("Vielen Dank");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okay, viel Glück");
	wait(5);

}

dic(dic);

if(getRandom(100) < 15) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/old1.jpg");

if (getBoolean("Hey willst du für mich abspritzen?", "Ja", "Nein, lass mich würfeln")) {

	setImage("Puzzle Challenge/old2.jpg");

	show("Rand (Edge) für mich!!!");
	showButton("Ich bin am Rand (Edge)");

	setImage("Puzzle Challenge/old3.jpg");

	show("Spritz ab!!! Das war gut...");
	showButton("Vielen Dank");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okay, viel Glück");
	wait(5);

}

dic(dic);

if(getRandom(100) < 20) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/mi1.jpg");

if (getBoolean("Hey willst du für mich abspritzen?", "Ja", "Nein, lass mich würfeln")) {

	setImage("Puzzle Challenge/mi2.jpg");

	show("Rand (Edge) für mich!!!");
	showButton("Ich bin am Rand (Edge)");

	setImage("Puzzle Challenge/mi3.jpg");

	show("Spritz ab!!! Das war gut...");
	showButton("Vielen Dank");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okay, viel Glück");
	wait(5);

}

dic(dic);

if(getRandom(100) < 30) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/young1.jpg");

if (getBoolean("Hey willst du für mich abspritzen?", "Ja", "Nein, lass mich würfeln")) {

	setImage("Puzzle Challenge/young2.jpg");

	show("Rand (Edge) für mich!!!");
	showButton("Ich bin am Rand (Edge)");

	setImage("Puzzle Challenge/young3.jpg");

	show("Spritz ab!!! Das war gut...");
	showButton("Vielen Dank");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okay, viel Glück");
	wait(5);

}

dic(dic);

if(getRandom(100) < 50) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/teen1.jpg");

show("Wow, du hast so viel Glück... du hast es verdient, bei mir abzuspritzen");

waitWithGauge(8);

setImage("Puzzle Challenge/teen2.jpg");

	show("Rand (Edge) für mich!!!");
	showButton("Ich bin am Rand (Edge)");

setImage("Puzzle Challenge/teen3.jpg");

	show("Spritz ab!!! Das war gut...");
	showButton("Vielen Dank");

// End Script
setImage(null);
show("");
return null;

right5(right4);



/*** End of the Script ***/

