///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
/*	Puzzle Challenge
 *
 *	author: Sofiadomme
 *	sofiadomme@web.de
 *
 *	version: V 1.0
 *	licence: CC by-NC, see http://creativecommons.org/licenses/by-nc/3.0/
 *
 *	Are you good at puzzling? You can prove it here.
 *	But watch out, it's about time here!
 *	(The puzzel is in a extern programm)
 *
 */
///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////


/*
 *	Resources
 *	images\Puzzle Challenge\aiden right.jpg
 *	images\Puzzle Challenge\aiden-starr-1.jpg
 *	images\Puzzle Challenge\aiden-starr-10.jpg
 *	images\Puzzle Challenge\aiden-starr-11.jpg
 *	images\Puzzle Challenge\aiden-starr-2.jpg
 *	images\Puzzle Challenge\aiden-starr-3.jpg
 *	images\Puzzle Challenge\aiden-starr-4.jpg
 *	images\Puzzle Challenge\aiden-starr-5.jpg
 *	images\Puzzle Challenge\aiden-starr-6.jpg
 *	images\Puzzle Challenge\aiden-starr-7.jpg
 *	images\Puzzle Challenge\aiden-starr-8.jpg
 *	images\Puzzle Challenge\aiden-starr9.jpg
 *	images\Puzzle Challenge\anallick1.jpg
 *	images\Puzzle Challenge\anallick2.jpg
 *	images\Puzzle Challenge\anallick3.jpg
 *	images\Puzzle Challenge\anallick4.jpg
 *	images\Puzzle Challenge\anallick5.jpg
 *	images\Puzzle Challenge\assfinger.jpg
 *	images\Puzzle Challenge\assfinger1.jpg
 *	images\Puzzle Challenge\assfinger2.jpg
 *	images\Puzzle Challenge\assfinger3.jpg
 *	images\Puzzle Challenge\ballga1.jpg
 *	images\Puzzle Challenge\ballga2.jpg
 *	images\Puzzle Challenge\balltied.jpg
 *	images\Puzzle Challenge\c1.jpg
 *	images\Puzzle Challenge\c2.jpg
 *	images\Puzzle Challenge\c3.jpg
 *	images\Puzzle Challenge\c4.jpg
 *	images\Puzzle Challenge\c5.jpg
 *	images\Puzzle Challenge\c6.jpg
 *	images\Puzzle Challenge\c7.jpg
 *	images\Puzzle Challenge\clock.jpg
 *	images\Puzzle Challenge\cock slap.jpg
 *	images\Puzzle Challenge\cumhair.jpg
 *	images\Puzzle Challenge\Dice.jpg
 *	images\Puzzle Challenge\exerc1.jpg
 *	images\Puzzle Challenge\exerc4.jpg
 *	images\Puzzle Challenge\exerc5.jpg
 *	images\Puzzle Challenge\feetlick1.jpg
 *	images\Puzzle Challenge\gra1.jpg
 *	images\Puzzle Challenge\gra2.jpg
 *	images\Puzzle Challenge\gra3.jpg
 *	images\Puzzle Challenge\granny.jpg
 *	images\Puzzle Challenge\hand1.jpg
 *	images\Puzzle Challenge\hand2.jpg
 *	images\Puzzle Challenge\hand3.jpg
 *	images\Puzzle Challenge\hand4.jpg
 *	images\Puzzle Challenge\hand5.jpg
 *	images\Puzzle Challenge\handshead1.jpg
 *	images\Puzzle Challenge\handshead2.jpg
 *	images\Puzzle Challenge\handshead3.jpg
 *	images\Puzzle Challenge\handshead4.jpg
 *	images\Puzzle Challenge\handshead5.jpg
 *	images\Puzzle Challenge\kendra1.jpg
 *	images\Puzzle Challenge\kendra10.jpg
 *	images\Puzzle Challenge\kendra11.jpg
 *	images\Puzzle Challenge\kendra12.jpg
 *	images\Puzzle Challenge\kendra13.jpg
 *	images\Puzzle Challenge\kendra14.jpg
 *	images\Puzzle Challenge\kendra15.jpg
 *	images\Puzzle Challenge\kendra16.jpg
 *	images\Puzzle Challenge\kendra17.jpg
 *	images\Puzzle Challenge\kendra18.jpg
 *	images\Puzzle Challenge\kendra19.jpg
 *	images\Puzzle Challenge\kendra2.jpg
 *	images\Puzzle Challenge\kendra20.jpg
 *	images\Puzzle Challenge\kendra21.jpg
 *	images\Puzzle Challenge\kendra22.jpg
 *	images\Puzzle Challenge\kendra3.jpg
 *	images\Puzzle Challenge\kendra4.jpg
 *	images\Puzzle Challenge\kendra5.jpg
 *	images\Puzzle Challenge\kendra6.jpg
 *	images\Puzzle Challenge\kendra7.jpg
 *	images\Puzzle Challenge\kendra8.jpg
 *	images\Puzzle Challenge\kendra9.jpg
 *	images\Puzzle Challenge\mi1.jpg
 *	images\Puzzle Challenge\mi2.jpg
 *	images\Puzzle Challenge\mi3.jpg
 *	images\Puzzle Challenge\mid1.jpg
 *	images\Puzzle Challenge\mid2.jpg
 *	images\Puzzle Challenge\mid3.jpg
 *	images\Puzzle Challenge\old1.jpg
 *	images\Puzzle Challenge\old2.jpg
 *	images\Puzzle Challenge\old3.jpg
 *	images\Puzzle Challenge\pee1.jpg
 *	images\Puzzle Challenge\pee2.jpg
 *	images\Puzzle Challenge\pee3.jpg
 *	images\Puzzle Challenge\pee4.jpg
 *	images\Puzzle Challenge\pee5.jpg
 *	images\Puzzle Challenge\rightanswer.jpg
 *	images\Puzzle Challenge\selfpiss1.jpg
 *	images\Puzzle Challenge\selfpiss2.jpg
 *	images\Puzzle Challenge\selfpiss3.JPG
 *	images\Puzzle Challenge\spitfacial.jpg
 *	images\Puzzle Challenge\spithand.jpg
 *	images\Puzzle Challenge\teen1.jpg
 *	images\Puzzle Challenge\teen2.jpg
 *	images\Puzzle Challenge\teen3.jpg
 *	images\Puzzle Challenge\Tutorial1.jpg
 *	images\Puzzle Challenge\Tutorial2.jpg
 *	images\Puzzle Challenge\Tutorial3.jpg
 *	images\Puzzle Challenge\workou1.jpg
 *	images\Puzzle Challenge\workou2.jpg
 *	images\Puzzle Challenge\workou3.jpg
 *	images\Puzzle Challenge\workou4.jpg
 *	images\Puzzle Challenge\workou5.jpg
 *	images\Puzzle Challenge\workout1.jpg
 *	images\Puzzle Challenge\wronganswer.jpg
 *	images\Puzzle Challenge\young1.jpg
 *	images\Puzzle Challenge\young2.jpg
 *	images\Puzzle Challenge\young3.jpg
 *	sounds\Puzzle Challenge\bell.wav
 *	sounds\Puzzle Challenge\bottle_100bpm-30.mp3
 *	sounds\Puzzle Challenge\bottle_220bpm-60.mp3
 *	sounds\Puzzle Challenge\bottle_60bpm-50.mp3
 *	sounds\Puzzle Challenge\Countdown.wav
 *	sounds\Puzzle Challenge\Dice rolling.wav
 *	files\Puzzle Challenge\1.exe
 *	files\Puzzle Challenge\2.exe
 *	files\Puzzle Challenge\3.exe
 *	files\Puzzle Challenge\4.exe
 *	files\Puzzle Challenge\5.exe
 *	files\Puzzle Challenge\test.exe
 *	scripts\Puzzle Challenge\Puzzle Challenge.groovy
  *	scripts\Puzzle Challenge\Puzzle Challenge_de.groovy
 *	
 */



/*
 *
 *	To fully enjoy this script you're going to need the following items:
 *		Buttplug, Glass, Mouthgag, Blindfold
 *
 */

// Set script's general info
setInfos(3, "Puzzle Challenge", "Are you good at solving puzzeles? You can prove it here. But watch out, it's about time here! (The puzzel is in a extern programm)", "Sofiadomme", "v 1.1", -3355444, "en", ["anal", "game", "hair", "humiliation", "pain", "sperm", "toys", "urine", "fitness"]);


// Gender Dependent Values

def gender_value_default_gender = "male";
if(loadBoolean("intro.female")) gender_value_default_gender = "female";


// Functions declarations

def introo = {
	introo ->

	setImage("Puzzle Challenge/aiden-starr-1.jpg");
	if (getBoolean("Before we start, do you want to test the sound and the puzzle programm?", "I want to test the Sound and the puzzle programm.", "No, i want to play now.")) {
		if (getBoolean("What do you want to test?", "The sound", "The puzzle programm")) {
			show("Do you hear this sound? (wait for it)");
			waitWithGauge(3);
			playSound("Puzzle Challenge/bell.wav");
			if (getBoolean("Did you hear it?", "Yes", "No")) {
				show("Thats good :)");
				waitWithGauge(3);
				introo(introo)
			}
			else {
				show("Check your sound settings and your speakers.");
				waitWithGauge(7);
				introo(introo)
			}
		}
		else {
			show("Lets see if the programm opens. (wait a bit)");
			waitWithGauge(6);
			useFile("files/Puzzle Challenge/test.exe");
			waitWithGauge(5);
			if (getBoolean("Has the program opened?", "Yes", "No")) {
				show("You can train a little bit if you want.");
				showButton("Im ready");
				introo(introo)
			}
			else {
				show("Maybe your firewall is on or you need administrator rights...");
				waitWithGauge(10);
				introo(introo)
			}
		}
	}
}

def right1 = {
	right1 ->

	def color1 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
	if(color1==0) {
	setImage("Puzzle Challenge/rightanswer.jpg")
	show("1 was right, good job :)")
	waitWithGauge(5)
	}
	if(color1==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 was wrong")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 was wrong")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 was wrong")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 was wrong")
	waitWithGauge(5)
	pun(pun)
	}
	if(color1==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 was wrong")
	waitWithGauge(5)
	pun(pun)
	}
}

def right2 = {
	right2 ->

	def color2 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
	if(color2==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==1) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("2 was right, good job :)")
		waitWithGauge(5)
	}
	if(color2==2) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("3 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==3) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("4 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==4) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("5 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color2==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
}

def right3 = {
	right3 ->

	def color3 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
	if(color3==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==1) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("2 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==2) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("3 was right, good job :)")
		waitWithGauge(5)
	}
	if(color3==3) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("4 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==4) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("5 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color3==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
}

def right4 = {
	right4 ->

	def color4 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
	if(color4==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==1) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("2 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==2) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("3 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==3) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("4 was right, good job :)")
		waitWithGauge(5)
	}
	if(color4==4) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("5 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color4==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
}

def right5 = {
	right5 ->

	def color5 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
	if(color5==0) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("1 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==1) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("2 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==2) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("3 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==3) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("4 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
	if(color5==4) {
		setImage("Puzzle Challenge/rightanswer.jpg")
	  	show("5 was right, good job :)")
		waitWithGauge(5)
	}
	if(color5==5) {
		setImage("Puzzle Challenge/wronganswer.jpg")
		show("6 was wrong")
		waitWithGauge(5)
		pun(pun)
	}
}

def str = {
	str ->

	setImage("Puzzle Challenge/aiden right.jpg")
	show("I have a nice task for you because your are a good boy :)")
	waitWithGauge(8)
	show("Let my roll my dice for you.")
	setImage("Puzzle Challenge/Dice.jpg")
	playSound("Puzzle Challenge/Dice rolling.wav")
	waitWithGauge(2)
	switch(getRandom(5)){
	case 0:
	setImage("Puzzle Challenge/aiden-starr-7.jpg")
	show("Stroke your cock to the edge for me :)") 
	showButton("Im on the edge.")
	show("HANDS OFF! you are such a nice stroker :)") 
	waitWithGauge(5)
	break
	case 1:
	setImage("Puzzle Challenge/aiden-starr-10.jpg")
	show("Spit on your cock and stroke it to the beat for me.")
	playSound("Puzzle Challenge/bottle_60bpm-50.mp3")
	show("A bit faster please, but dont cum!")
	playSound("Puzzle Challenge/bottle_100bpm-30.mp3")
	show("Thank you :)")
	waitWithGauge(10)
	break
	case 2:
	setImage("Puzzle Challenge/aiden-starr-11.jpg")
	show("Stroke for me my perfekt tits. dont cum yet...")
	waitWithGauge(60)
	break
	case 3:
	setImage("Puzzle Challenge/aiden-starr-8.jpg")
	show("Edge for me pleaseeee..")
	showButton("Im on the edge")
	show("Hold it for me... oh yesssss")
	waitWithGauge(5) 
	show("HANDS OFF! you are such a nice stroker :)") 
	waitWithGauge(8)
	break
	case 4:
	setImage("Puzzle Challenge/aiden-starr-4.jpg")
	show("Stroke to the beat for me please.. But dont cum!.. get ready")
	waitWithGauge(5)
	playSound("Puzzle Challenge/bottle_220bpm-60.mp3")
	show("Thank you soo much :)") 
	waitWithGauge(10)
	break
	}
}

def keytime60 = {
	keytime60 ->

	if (showButton("I have the key", 60) >= 60) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Fucking slave!\nIt was your first puzzel, how can you not solved it in time?\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment");
		showButton("I have solved the puzzel now");
		pun(pun);
	}
}

def keytime140 = {
	keytime140 ->

	if (showButton("I have the key", 140) >= 140) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
		showButton("I have solved the puzzel now");
		pun(pun);
	}
}

def keytime160 = {
	keytime160 ->

	if (showButton("I have the key", 160) >= 160) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
		showButton("I have solved the puzzel now");
		pun(pun);
	}
}

def keytime600 = {
	keytime600 ->

	if (showButton("I have the key", 600) >= 600) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
		showButton("I have solved the puzzel now");
		pun(pun);
	}
}

def pun = {
	pun ->

	setImage("Puzzle Challenge/Dice.jpg")
	show("You deserve a punishment!! let me roll my punishment dice...")
	waitWithGauge(5)
	playSound("Puzzle Challenge/Dice rolling.wav")
	waitWithGauge(2)
	switch(getRandom(11)) {
	case 0:
	setImage("Puzzle Challenge/cock slap.jpg")
	show("Slap your cock HARD 10 times.")
	showButton("It hurts")
	break
	case 1:
	setImage("Puzzle Challenge/spithand.jpg")
	show("Spit in your hand for 1 minute.")
	waitWithGauge(60)
	setImage("Puzzle Challenge/spitfacial.jpg")
	show("Give yourself a spitfacial!!! Slap both cheeks HARD 1 time!! ")
	waitWithGauge(12)
	break
	case 2:
	setImage("Puzzle Challenge/spithand.jpg")
	show("Spit in your hand for 1 minute..")
	waitWithGauge(60)
	setImage("Puzzle Challenge/cumhair.jpg")
	show("Rub all the spit in your fucking hair!")
	waitWithGauge(20)
	break
	case 3:
	setImage("Puzzle Challenge/assfinger.jpg")
	show("Suck your middelfinger for 1 minute.")
	waitWithGauge(60)
	setImage("Puzzle Challenge/assfinger1.jpg")
	show("rub your asshole, but dont go in!")
	waitWithGauge(60)
	setImage("Puzzle Challenge/assfinger2.jpg")
	show("Lick it clean")
	waitWithGauge(20)
	setImage("Puzzle Challenge/assfinger3.jpg")
	show("Stick the finger in your ass, just like a buttplug!")
	waitWithGauge(40)
	show("rub it under your nose!")
	setImage("Puzzle Challenge/assfinger2.jpg")
	waitWithGauge(20)
	break
	case 4:
	setImage("Puzzle Challenge/assfinger2.jpg")
	show("Suck 2 Fingers for 1 minute.")
	waitWithGauge(60)
	setImage("Puzzle Challenge/assfinger3.jpg")
	show("Put the fingers in your dirty ass! and move it a bit in your ass.")
	waitWithGauge(90)
	setImage("Puzzle Challenge/assfinger.jpg")
	show("You make the fingers now clean again! of couse with your mouth...")
	waitWithGauge(60)
	break
	case 5:
	setImage("Puzzle Challenge/pee1.jpg")
	show("Hey, bring me a glass, you will need it.")
	showButton("I have the glass")
	setImage("Puzzle Challenge/pee2.jpg")
	show("Piss in the glass a little bit...drink some water if you cant piss right now.")
	showButton("I�m done")
	setImage("Puzzle Challenge/pee3.jpg")
	show("Take a mouthful of the pee, dont drink it yet. you deserved it!")
	waitWithGauge(30)
	setImage("Puzzle Challenge/pee4.jpg")
	show("Let it flow down your chin! look at this mess.. ")
	waitWithGauge(40)
	show("You can now drink the rest of the piss from the glass\n OR \nyou can hold it over you and pour onto your hair")
	setImage("Puzzle Challenge/pee5.jpg")
	showButton("I�m done")
	break
	case 6:
	setImage("Puzzle Challenge/workou1.jpg")
	show("I�ll make you sweat in my workout training. But first plug your buttplug in.")
	showButton("I am ready")
	setImage("Puzzle Challenge/workou2.jpg")
	show("Imitate my training exercises. If the buttplug fall out, you put it back in!")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou3.jpg")
	show("Its getting harder..")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou4.jpg")
	show("Do you like this position?")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou5.jpg")
	show("This is the last position.")
	waitWithGauge(30)
	setImage("Puzzle Challenge/workou1.jpg")
	show("If the buttplug somehow fall out you have to stick it in your mouth. Lick it clean, I dont want to see a dirty buttplug!")
	waitWithGauge(30)
	break
	case 7:
	setImage("Puzzle Challenge/anallick1.jpg")
	show("Hey, I want to play a little bit with your ass.")
	waitWithGauge(10)
	setImage("Puzzle Challenge/anallick2.jpg")
	show("Put each of your 5 fingers individually in the ass as deep as possible, you can use spit as lube. Do this just with your right hand.")
	showButton("I am ready")
	setImage("Puzzle Challenge/anallick3.jpg")
	show("Do it again! I want to see them deeper in your ass!")
	showButton("I am ready")
	setImage("Puzzle Challenge/anallick4.jpg")
	show("Lick each finger individually, enjoy it.")
	waitWithGauge(40)
	setImage("Puzzle Challenge/anallick5.jpg")
	show("Thank you so much, i cant believe you did this..")
	waitWithGauge(10)
	break
	case 8:
	setImage("Puzzle Challenge/ballga1.jpg")
	show("Hey, its not your lucky day today.... bring me your ballgag.")
	showButton("I have it")
	setImage("Puzzle Challenge/ballga2.jpg")
	show("Put it on and dont take it off untill you end this game! let the spit just flow down...")
	showButton("I do it")
	break
	case 9:
	setImage("Puzzle Challenge/selfpiss2.jpg")
	show("Hey, you look thirsty.")
	waitWithGauge(10)
	setImage("Puzzle Challenge/selfpiss3.jpg")
	show("Drink a glass of water, hurry up!")
	showButton("I did it")
	setImage("Puzzle Challenge/selfpiss1.jpg")
	show("go in the same position, and just let 1 drop of piss out! dont touch your dick!")
	showButton("I did it")
	break
	case 10:
	setImage("Puzzle Challenge/exerc1.jpg")
	show("Hey, I want to test your balance.")
	waitWithGauge(5)
	setImage("Puzzle Challenge/exerc4.jpg")
	show("You will be in the same position as in the photo and stand on a leg until you hear a bell.\nSounds easy or?")
	waitWithGauge(15)
	show("If you get on the ground with your other leg you have lost!\n Oh ..I forgot to say that you will wear a blindfold!")
	showButton("I am ready")
	show("Put the blindfold on if the countdown is at 0. \n When you hear a noise, the game ends.")
	waitWithGauge(10)
	playSound("Puzzle Challenge/Countdown.wav")
	setImage("Puzzle Challenge/clock.jpg")
	wait(60)
	playSound("Puzzle Challenge/bell.wav")
	setImage("Puzzle Challenge/exerc4.jpg")
	if (getBoolean("Did you touch the ground with your second leg?", "Yes", "No")) {
	setImage("Puzzle Challenge/feetlick1.jpg")
	show("Your foot is probably a little dirty after you touched the ground, lick him clean! And make the whole foot wet!")
	waitWithGauge(40)
	}
	else {
	setImage("Puzzle Challenge/exerc5.jpg")
	show("You have a very good balance, give your feet a big kiss!")
	showButton("Thank you")
	}
	break
	}
}

def keytime1000 = {
	keytime1000 ->

	if (showButton("I have the key", 1000) >= 1000) {
		setImage("Puzzle Challenge/aiden-starr-11.jpg");
		playSound("Puzzle Challenge/bell.wav");
		show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
		showButton("I have solved the puzzel now");
		pun(pun);
	}
}

def dic = {
	dic ->

	show(" ");
	setImage("Puzzle Challenge/Dice.jpg");
	playSound("Puzzle Challenge/Dice rolling.wav");
}

def midg = {
	midg ->

		show("Oh you have the wrong number diced .. \nmake your cock hard and stroke him for:");
		waitWithGauge(7);
		setImage("Puzzle Challenge/mid1.jpg");
		show("Stroke you cock for me fast!");
		waitWithGauge(30);
		setImage("Puzzle Challenge/mid2.jpg");
		show("Edge for me !! pleaseee");
		showButton("Im on the edge");
		setImage("Puzzle Challenge/mid3.jpg");
		show("CUM!!! ");
		waitWithGauge(30);
		show("Oh thank you :)\nThat was a hot cumshot..");
		showButton("Thanks");
		setImage(null);
		show("");
		return null;
}



setImage(null);
show("");


/*** Beginning of the Script ***/


setImage("Puzzle Challenge/aiden-starr-1.jpg");

introo(introo);

setImage("Puzzle Challenge/aiden-starr-2.jpg");

if (getBoolean("Do you know the Rules of the game? ", "Yes", "No")) {
	show("This is probably not your first time...good luck");
	waitWithGauge(5);
}
else {
	setImage("Puzzle Challenge/Tutorial1.jpg");
	show("You have to solve a puzzel, but you dont have unlimited time.\n!!!You get the key to continue the game, after you have solved the puzzle!!!\n");
	showButton("continue");
	setImage("Puzzle Challenge/Tutorial2.jpg");
	show("You hear a countdown before every puzzle , you can start if the countdown ends.\nA bell sound means that the time has expired.you must solve it anyway and get ready for the punishment....");
	showButton("continue");
	setImage("Puzzle Challenge/Tutorial3.jpg");
	show("The puzzeles are getting harder and harder to solve.\nAnd the most important rule:\nDONT STROKE, EDGE, CUM UNTIL I TOLD YOU!!");
	showButton("Im ready to start.");
}

show("Lets start our first Puzzle, we will start easy. \nI give you a countdown before you can start.");

setImage("Puzzle Challenge/aiden-starr-5.jpg");

waitWithGauge(7);

useFile("files/Puzzle Challenge/1.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

show("Tell me when you have done the puzzle.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("I have the key", 50) >= 50) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Fucking slave!\nIt was your first puzzel, how can you not solved it in time?\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment");
	showButton("I have solved the puzzel now");
	pun(pun);
}

def color1 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
if(color1==0) {
setImage("Puzzle Challenge/rightanswer.jpg")
show("1 was right, good job :)")
waitWithGauge(5)
}
if(color1==1) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("2 was wrong")
waitWithGauge(5)
pun(pun)
}
if(color1==2) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("3 was wrong")
waitWithGauge(5)
pun(pun)
}
if(color1==3) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("4 was wrong")
waitWithGauge(5)
pun(pun)
}
if(color1==4) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("5 was wrong")
waitWithGauge(5)
pun(pun)
}
if(color1==5) {
setImage("Puzzle Challenge/wronganswer.jpg")
show("6 was wrong")
waitWithGauge(5)
pun(pun)
}

setImage("Puzzle Challenge/aiden-starr-8.jpg");

show("The first puzzle was easy, now its getting harder... i hope you have a fast hand.");

waitWithGauge(8);

show("Wait for the countdown before you start");

waitWithGauge(5);

useFile("files/Puzzle Challenge/2.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

show("Tell me when you are done.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("I have the key", 120) >= 120) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
	showButton("I have solved the puzzel now");
	pun(pun);
}

def color4 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
if(color4==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color4==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color4==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color4==3) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("4 was right, good job :)")
	waitWithGauge(5)
}
if(color4==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color4==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 was wrong")
	waitWithGauge(5)
	pun(pun)
}

if (getBoolean("Do you want a chance to cum? But you have to do something for me...", "I want the chance to cum", "No not yet")) {

	setImage("Puzzle Challenge/workout1.jpg");

	show("You need a little workout. \nThen you hear the bell You go to the position.\n Stop only if you hear the bell again.\n If you do not pass it,  then you have to tell me.");
	showButton("Im ready");

	show("(we start in about 30 seconds, you will heard a bell)\nThe legs are open about the waist, the arms are supported, the elbows are under the shoulders. \nFirmly tighten the belly. Make sure that the body remains straight and the butt does not slip.\n");

	waitWithGauge(20);

	show("Hold it!");

	playSound("Puzzle Challenge/bell.wav");

	wait(150);

	playSound("Puzzle Challenge/bell.wav");

	playSound("Puzzle Challenge/bell.wav");

	if (getBoolean("You could keep the position?", "Yes i did it", "No i have faild")) {

		setImage("Puzzle Challenge/aiden-starr-8.jpg");

		show("You did it.. get ready for your chance to cum.");
		wait(10);

			setImage("Puzzle Challenge/hand1.jpg")
			show("lets play a little stop-go game, this is my favorite game :)          If i say go: you stroke as fast as you can / if i say stop: you put your hands IMMEDIATELY on your head") 
			showButton("i cant wait")
			show("But first give me a edge for my sweet face, dont cum yet!") 
			showButton("Im on the edge.") 
			setImage("Puzzle Challenge/handshead1.jpg")
			show("STOP! so hands on your head")
			wait(18)
			setImage("Puzzle Challenge/hand2.jpg")
			show("GO! please cum for me")
			wait(6)
			setImage("Puzzle Challenge/handshead2.jpg")
			show("STOP! HANDS ON YOUR HEAD! are you close yet?")
			wait(13)
			setImage("Puzzle Challenge/hand3.jpg")
			show("GO! give me your hot cum.")
			wait(5)
			setImage("Puzzle Challenge/handshead3.jpg")
			show("STOP! spit on your cock, your fucking slut")
			wait(15)	
			setImage("Puzzle Challenge/hand4.jpg")
			show("GO! i need your cum!")
			wait(2)
			setImage("Puzzle Challenge/handshead4.jpg")
			show("STOP! ohh.. that was short .. haha")
			wait(13)
			setImage("Puzzle Challenge/hand5.jpg")
			show("GO! give me your hot cum.")
			wait(7)
			setImage("Puzzle Challenge/handshead5.jpg")
			show("HANDS UP!that was your last chance :D")
			wait(5)

		if (getBoolean("Did you cum?", "Yes", "No")) {

			show("hh.. that must be a ruined one? im soooo sorry. you can try it again and get a real one :D");
			wait(10);

			// End Script
			setImage(null);
			show("");
			return null;

		}

		else {

			show("Nice, so we can continue :)");
			wait(10);

		}

	}

	else {

		setImage("Puzzle Challenge/aiden-starr-11.jpg");

		show("Okey its not that bad, you just get no chance to cum....");
		wait(10);

		show("Do you really think I�ll let you get away with this?");
		wait(10);

		pun(pun);

	}

}

else {

	setImage("Puzzle Challenge/aiden-starr-11.jpg");

	show("You dont want to cum? ohh.. you must be here for the punishment task then..");

	waitWithGauge(10);

	pun(pun);

}

setImage("Puzzle Challenge/aiden-starr-8.jpg");

show("Get ready for the next puzzle.");
wait(10);

show("Wait for the countdown before you start.");
wait(10);

useFile("files/Puzzle Challenge/3.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("I have the key", 175) >= 175) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
	showButton("I have solved the puzzel now");
	pun(pun);
}

def color30 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
if(color30==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color30==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color30==2) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("3 was right, good job :)")
	waitWithGauge(5)
}
if(color30==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color30==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color30==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 was wrong")
	waitWithGauge(5)
	pun(pun)
}

setImage("Puzzle Challenge/aiden-starr9.jpg");

show("Lets have some fun");
wait(5);

str(str);

show("The next puzzle is way harder to solve, good luck.");
wait(7);

useFile("files/Puzzle Challenge/4.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/Countdown.wav");

show("Tell me when you are done.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("I have the key", 580) >= 580) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
	showButton("I have solved the puzzel now");
	pun(pun);
}

def color2 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
if(color2==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color2==1) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("2 was right, good job :)")
	waitWithGauge(5)
}
if(color2==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color2==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color2==4) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("5 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color2==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 was wrong")
	waitWithGauge(5)
	pun(pun)
}

show("I let you stroke a little bit..");

waitWithGauge(5);

str(str);

show("Lets do our final puzzle, you get the chance to cum after it. ");

waitWithGauge(5);

if (getBoolean("Do you want to stroke while you solve the final puzzle?", "Yes", "No")) {

	show("Stick your biggest buttplug in your ass! and let it in for the rest of the game.\nhave fun while stroking.. and dont cum!");

	showButton("Im ready");

}

else {

	show("You dont like stroking? \nSlap your dick HARD 5 times!");

	waitWithGauge(15);

	show("And now slap your balls 5 times!");

	waitWithGauge(15);

}

setImage("Puzzle Challenge/aiden-starr-3.jpg");

show("Wait for the countdown before you beginn the puzzle.");

waitWithGauge(5);

useFile("files/Puzzle Challenge/5.exe");

waitWithGauge(5);

playSound("Puzzle Challenge/bell.wav");

show("Tell me when you are done.");

setImage("Puzzle Challenge/clock.jpg");

if (showButton("I have the key", 1000) >= 1000) {
	setImage("Puzzle Challenge/aiden-starr-11.jpg");
	playSound("Puzzle Challenge/bell.wav");
	show("Fucking slave!\nMake the game still end and remember the key, or you get another punishment later!\nget ready for the punishment!!");
	showButton("I have solved the puzzel now");
	pun(pun);
}

def color5 = getSelectedValue("Tell me the keynumber", ["1", "2", "3", "4", "5", "6"])
if(color5==0) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("1 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color5==1) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("2 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color5==2) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("3 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color5==3) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("4 was wrong")
	waitWithGauge(5)
	pun(pun)
}
if(color5==4) {
	setImage("Puzzle Challenge/rightanswer.jpg")
  	show("5 was right, good job :)")
	waitWithGauge(5)
}
if(color5==5) {
	setImage("Puzzle Challenge/wronganswer.jpg")
	show("6 was wrong")
	waitWithGauge(5)
	pun(pun)
}

setImage("Puzzle Challenge/aiden-starr9.jpg");

show("Hey, put your buttplug out if you have one in.\nAnd hands still off your dick...");
wait(10);

if (getBoolean("Do you want a chance to cum yet?  But If you continue to play, you get a better chance to cum... Think about it well.", "I will try to cum now", "i want a better chance to cum")) {

		setImage("Puzzle Challenge/Kendra1.jpg")
		show("Hey i want to let you cum... But there's a catch.. nevermind let us start :)")
		wait(13)
		setImage("Puzzle Challenge/Kendra2.jpg")
		show("edge for me fast!")
		showButton("Im on the edge.")
		setImage("Puzzle Challenge/Kendra3.jpg")
		show("HANDS OFF! i dont want you to cum yet")
		wait(13)
		show("Bind your balls away from your body like in the picture! make it tight")
		setImage("Puzzle Challenge/balltied.jpg")
		showButton("I did it")
		setImage("Puzzle Challenge/Kendra4.jpg")
		show("Stroke at a fast speed for me, but DONT cum or edge yet...")
		waitWithGauge(30)
		setImage("Puzzle Challenge/Kendra5.jpg")
		show("Pleaseeee give me a edge.. pleaseeee")
		showButton("Im on the edge")
		setImage("Puzzle Challenge/Kendra6.jpg")
		show("hold it!!")
		wait(5)
		setImage("Puzzle Challenge/Kendra7.jpg")
		show("HANDS OFF! are you getting closer? haha")
		waitWithGauge(10)
		setImage("Puzzle Challenge/Kendra8.jpg")
		show("I give you a countdown, you will cum EXACTLY at zero! not 1 second before or after.... understand?")
		showButton("I do everything for you Mistress")
		setImage("Puzzle Challenge/Kendra9.jpg")
		show("start stroking for me again..")
		waitWithGauge(10)
		show("10")
		setImage("Puzzle Challenge/Kendra10.jpg")
		wait(10)
		setImage("Puzzle Challenge/Kendra11.jpg")
		show("9")
		wait(9)
		setImage("Puzzle Challenge/Kendra12.jpg")
		show("8")
		wait(8)
		setImage("Puzzle Challenge/Kendra13.jpg")
		show("7")
		wait(7)
		setImage("Puzzle Challenge/Kendra14.jpg")
		show("6")
		wait(6)
		setImage("Puzzle Challenge/Kendra15.jpg")
		show("5")
		wait(5)
		setImage("Puzzle Challenge/Kendra16.jpg")
		show("4")
		wait(4)
		setImage("Puzzle Challenge/Kendra17.jpg")
		show("3")
		wait(3)
		setImage("Puzzle Challenge/Kendra18.jpg")
		show("2")
		wait(2)
		setImage("Puzzle Challenge/Kendra19.jpg")
		show("1")
		wait(1)
		show("0 Cum if you want")
		setImage("Puzzle Challenge/granny.jpg")
		wait(5)
		show("Do you like my hairy pussy?")
		waitWithGauge(15)
		setImage("Puzzle Challenge/Kendra21.jpg")

	if (getBoolean("Did you cum?", "Yes ", "No")) {

		setImage("Puzzle Challenge/aiden-starr-5.jpg");

		show("Oh im sorry... you had the choice for a better cum chance...");

		waitWithGauge(10);

		show("I hope i see you again.\ngood luck next time");
		showButton("Bye");

		// End Script
		setImage(null);
		show("");
		return null;

	}

	else {

		setImage("Puzzle Challenge/aiden-starr-6.jpg");

		if (getBoolean("I give you a extra chance to cum... but you have to do something for me first.", "I take the extra chance", "No i dont want to, just let me go")) {

			show("Okey i give you a last chance to cum.\nBut first let me roll my punishment dice hehe");

			waitWithGauge(10);

			pun(pun);

			setImage("Puzzle Challenge/aiden-starr-3.jpg");

			show("Welcome back\nGet your dick ready, make it hard!");
			showButton("Im ready");

			show("I give you a nice slideshow you can cum at any point.\nBut hurry up... you dont want to wait to long, trust me.");

			waitWithGauge(15);

			setImage("Puzzle Challenge/c1.jpg");

			show("Cum for me !!");
			wait(3);

			setImage("Puzzle Challenge/c2.jpg");

			show("I need your cum !!");
			wait(2);

			setImage("Puzzle Challenge/c3.jpg");

			show("Keep pumping for me !!");
			wait(4);

			setImage("Puzzle Challenge/c4.jpg");

			show("Come on! faster!!");
			wait(4);

			setImage("Puzzle Challenge/c5.jpg");

			show("Spurt your semen!!");
			wait(9);

			setImage("Puzzle Challenge/c6.jpg");

			show("That sexy smile..\nThose massive tits..\nJERK FOR ME!!");
			wait(7);

			setImage("Puzzle Challenge/c7.jpg");

			show("PLESEEE cum for me!!");
			wait(10);

			show("HANDS OFF!");

			setImage("Puzzle Challenge/aiden-starr-11.jpg");

			if (getBoolean("Did you cum?", "Yes", "No")) {

				show("I hope that you not cum on the last women...\nDid you had fun ? \nyou can play the game later again if you want :)");
				showButton("Thanks, bye");

				// End Script
				setImage(null);
				show("");
				return null;

			}

			else {

				show("You had so many chances...\nJust try the game again..");
				showButton("Im sorry");

				// End Script
				setImage(null);
				show("");
				return null;

			}

		}

		else {

			show("Okey if you want.. just go now! \nfucking slave");
			showButton("Bye");

			// End Script
			setImage(null);
			show("");
			return null;

		}

	}

}

else {

	setImage("Puzzle Challenge/aiden-starr-4.jpg");

	show("You are a good boy :)\nget ready");

	waitWithGauge(10);

}

setImage("Puzzle Challenge/aiden-starr-3.jpg");

show("Lets play a little dice game..\nYou start with a granny women, you can cum to her or you can roll the dice for a better women.\n At the end with some luck, you can cum to a sexy 18 years old slut.\nBUT if you roll a wrong number, you have to cum to something worser than a granny...");
showButton("Im ready");

setImage("Puzzle Challenge/gra1.jpg");

if (getBoolean("Hey do you want to cum for me?", "Yes", "No let me roll the dice")) {

	setImage("Puzzle Challenge/gra2.jpg");

	show("Edge for me!!!");
	showButton("Im on the edge");

	setImage("Puzzle Challenge/gra3.jpg");

	show("CUM!!! \nThat was good....");
	showButton("Thank you");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okey good luck");
	wait(5);

}

dic(dic);

if(getRandom(100) < 15) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/old1.jpg");

if (getBoolean("Hey do you want to cum for me?", "Yes", "No let me roll the dice")) {

	setImage("Puzzle Challenge/old2.jpg");

	show("Edge for me!!!");
	showButton("Im on the edge");

	setImage("Puzzle Challenge/old3.jpg");

	show("CUM!!! \nThat was good....");
	showButton("Thank you");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okey good luck");
	wait(5);

}

dic(dic);

if(getRandom(100) < 20) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/mi1.jpg");

if (getBoolean("Hey do you want to cum for me", "Yes", "No let me roll the dice")) {

	setImage("Puzzle Challenge/mi2.jpg");

	show("Edge for me!!!");
	showButton("Im on the edge");

	setImage("Puzzle Challenge/mi3.jpg");

	show("CUM!!! \nThat was good....");
	showButton("Thank you");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okey good luck");
	wait(5);

}

dic(dic);

if(getRandom(100) < 30) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/young1.jpg");

if (getBoolean("Hey do you want to cum for me?", "Yes", "No let me roll the dice")) {

	setImage("Puzzle Challenge/young2.jpg");

	show("Edge for me!!!");
	showButton("Im on the edge");

	setImage("Puzzle Challenge/young3.jpg");

	show("CUM!!! \nThat was good....");
	showButton("Thank you");

	// End Script
	setImage(null);
	show("");
	return null;

}

else {

	show("Okey good luck");
	wait(5);

}

dic(dic);

if(getRandom(100) < 50) {

	midg(midg);

	exit();

}

setImage("Puzzle Challenge/teen1.jpg");

show("Wow, you are so lucky.. you deserv to cum to me");

waitWithGauge(8);

setImage("Puzzle Challenge/teen2.jpg");

show("Edge for me!!!");
showButton("Im on the edge");

setImage("Puzzle Challenge/teen3.jpg");

show("CUM!!! \nThat was good....");
showButton("Thank you");

// End Script
setImage(null);
show("");
return null;

right5(right4);



/*** End of the Script ***/

